package intrinsic.flash.geom;

public class ColorTransform extends Object {

	/** Accessors */
	public int color;

	/** Variables */
	public double blueOffset;
	public double greenMultiplier;
	public double alphaOffset;
	public double redMultiplier;
	public double alphaMultiplier;
	public double greenOffset;
	public double redOffset;
	public double blueMultiplier;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ColorTransform() {
}

public ColorTransform(Object arg0) {
}

public ColorTransform(Object arg0, Object arg1) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public ColorTransform(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native void concat(intrinsic.flash.geom.ColorTransform arg0);

}
